ISOQUERY(1)

NOME
isoquery - Procura e mostra vários códigos ISO (país, linguagem, …)

SINOPSE

isoquery [OPÇÃO …] [códigos ISO]

DESCRIÇÃO

Este manual documenta brevemente o comando isoquery. Pode ser usado para gerar uma saída tabular dos códigos standard ISO disponibilizados pelo pacote iso-codes. Analisa os ficheiros JSON e mostra todos os códigos ISO incluídos ou apenas as entradas correspondentes, se tal for especificado na linha de comandos. Mais ainda, é possível obter todas as traduções disponíveis para o ISO standard.

OPÇÕES

Este programa segue a sintaxe de linha de comandos normal do GNU, com as opções longas a começarem com dois traços ('-'). O isoquery suporta as seguintes opções:

-i, --iso=STANDARD
    O standard ISO a usar. Valores possíveis: 639-2, 639-3, 639-5, 3166-1, 3166-2, 3166-3, 4217, 15924 (predefinição: 3166-1)

-p, --pathname=NOME-DE-CAMINHO
    Usa NOME-DE-CAMINHO como prefixo para os ficheiros de dados (predefinição: /usr/share/iso-codes/json)

-l, --locale=LOCALE
    Use este LOCALE para os resultados

-n, --name
    Nome para os códigos fornecidos (predefinição)

-o, --official_name
    Nome oficial dos códigos fornecidos. Isto pode ser o mesmo que --name (apenas se aplica ao ISO 3166-1)

-c, --common_name
    Nome comum dos códigos fornecidos. Isto pode ser o mesmo que --name (apenas se aplica a ISO 639-2, 639-3, e 3166-1)

-0, --null
    Separa as entradas com um caractere NULO em vez de nova linha

-f, --flag
    Mostra bandeiras de países com letras de símbolos de indicadores regionais (aplica-se apenas a ISO 3166-1)

-h, --help
    Mostra o sumário de opções

-v, --version
    Mostra a versão do programa e direitos de autor

EXEMPLOS

Se chamado sem nenhumas opções de linha de comandos, o isoquery irá escrever uma tabela de todos os códigos ISO 3166-1. As três primeiras colunas contêm o código alpha-2, o código alpha-3 e o código numérico atribuído ao país listado na quarta coluna.

    $ isoquery
    AW      ABW     533     Aruba
    […]
    ZW      ZWE     716     Zimbabwe

Se você apenas precisa de alguns países, pode especificar quaisquer dos códigos nas primeiras três colunas e cortar nos resultados.

    $ isoquery so nor 484
    SO      SOM     706     Somalia
    NO      NOR     578     Norway
    MX      MEX     484     Mexico

Se precisar das traduções dos nomes dos países, especifique em que LOCALE deseja ver os resultados. Por favor note que será mostrado o nome original em Inglês se não existir uma tradução disponível para o LOCALE especificado.

    $ isoquery --locale=nl fr de es
    FR      FRA     250     Frankrijk
    DE      DEU     276     Duitsland
    ES      ESP     724     Spanje

Se o seu terminal suportar letras do símbolo do indicador regional unicode, pode usar a opção de linha de comando --flag. Essas letras podem ser exibidas como bandeira do país.

    $ isoquery --flag --locale=nl fr de es
    FR      FRA     250     🇫🇷      Frankrijk
    DE      DEU     276     🇩🇪      Duitsland
    ES      ESP     724     🇪🇸      Spanje

Tudo em cima funciona também para diferentes ISO standards, portanto você pode mudar para o standard ISO 3166-2 mais extensivo usando a opção --iso na linha de comandos. A colunas são código ISO 3166-2, tipo de subconjunto (ex. Estado, Província, etc), parente e nome. A terceira coluna (parente) pode estar vazia.

    $ isoquery --iso=3166-2
    AD-02   Parish          Canillo
    […]
    ZW-MW   Province        Mashonaland West

Os códigos que foram apagados de ISO 3166-1 estão disponíveis em ISO 3166-3. As colunas são código alpha-3, código alpha-4, código numérico, comentários, data de retirada, e nome. As colunas para código numérico, comentários, e data de retirada podem estar vazias.

    $ isoquery --iso=3166-3
    AFI     AIDJ    262             1977    French Afars and Issas
    ANT     ANHH    532             1993-07-12      Netherlands Antilles
    […]
    YUG     YUCS    891             1993-07-28      Yugoslavia, Socialist Federal Republic of
    ZAR     ZRCD    180             1997-07-14      Zaire, Republic of

Para ISO 639-2, as primeiras três colunas são o código alpha-3, o código bibliográfico, e o código alpha-2. As segunda e terceira colunas podem estar vazias.

    $ isoquery --iso=639-2
    aar             aa      Afar
    abk             ab      Abkhazian
    ace                     Achinese
    […]
    zun                     Zuni
    zxx                     No linguistic content; Not applicable
    zza                     Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

Você pode estreitar os resultados ao especificar apenas alguns códigos. Mais ainda, a opção para obter nomes traduzidos está também disponível.

    $ isoquery --iso=639-2 --locale=pt vi bo kl
    vie             vi      Vietnamita
    bod     tib     bo      tibetano
    kal             kl      Kalaallisut; Greenlandic

Se deseja usar ISO 639-3, as colunas mostradas são alpha-3, scope, tipo, alpha-2, bibliográfica, e o nome da linguagem. Ambas alpha-2 e bibliográfica podem estar vazias.

    $ isoquery -i 639-3 aal new spa guc
    aal     I       L                       Afade
    new     I       L                       Newari
    spa     I       L       es              Spanish
    guc     I       L                       Wayuu

Também está disponível ISO 639-5. As colunas mostradas são alpha-3 e nome.

    $ isoquery -i 639-5 aus tut
    aus     Australian languages
    tut     Altaic languages

Pode obter traduções selecionadas de nomes de moeda do padrão ISO 4217 através do comando seguinte. O primeiro das colunas é o código alfa-3 e o segundo é o código numérico atribuído à moeda. O nome da moeda encontra-se na terceira coluna.

    $ isoquery --iso=4217 --locale=da cad 392
    CAD     124     Canadisk dollar
    JPY     392     Yen

Se precisar obter nomes de script, pode usar a tabela ISO 15924. A primeira coluna é o código alfa-4 e a segundo é o código numérico atribuído ao script. O nome do script encontra-se na terceira coluna.

    $ isoquery --iso=15924 jpan latn 280
    Jpan    413     Japanese (alias for Han + Hiragana + Katakana)
    Latn    215     Latin
    Visp    280     Visible Speech

FICHEIROS

Por predefinição, serão usados os ficheiros JSON disponibilizados pelo pacote iso-codes.

    • /usr/share/iso-codes/json/iso_639-2.json

    • /usr/share/iso-codes/json/iso_639-3.json

    • /usr/share/iso-codes/json/iso_639-5.json

    • /usr/share/iso-codes/json/iso_3166-1.json

    • /usr/share/iso-codes/json/iso_3166-2.json

    • /usr/share/iso-codes/json/iso_3166-3.json

    • /usr/share/iso-codes/json/iso_4217.json

    • /usr/share/iso-codes/json/iso_15924.json

AUTOR

Dr. Tobias Quathamer

TRADUÇÃO

Américo Monteiro